# npm-run-script

Run arbitrary package scripts

## SYNOPSIS

    npm run-script [command] [-- <args>]
    npm run [command] [-- <args>]

## DESCRIPTION

This runs an arbitrary command from a package's `"scripts"` object. If no package name is provided, it will search for a `package.json` in the current folder and use its `"scripts"` object. If no `"command"` is provided, it will list the available top level scripts.

It is used by the test, start, restart, and stop commands, but can be called directly, as well.

As of `npm@2.0.0`, you can use custom arguments when executing scripts. The special option `--` is used by getopt to delimit the end of the options. npm will pass all the arguments after the `--` directly to your script:

    npm run test -- --grep="pattern"

## SEE ALSO

- npm-scripts(7)
- npm-test(1)
- npm-start(1)
- npm-restart(1)
- npm-stop(1)